<template>
    <div>
        <button @click="createDop">Учавствовать в акции</button>

        <!-- этап 1: подписание -->
        <sms-form v-if="create" v-model="smsCode" showButton @change="sign">
            <template slot="title">
                Подписание договора
            </template>
            <template slot="'additional-title'">
                Для подписания договора введите код подтверждения
                из SMS.
            </template>
            <template slot="agreement">
                <div class="checkbox">
                    <input type="checkbox"
                           ref="ca"
                           name="contract-agree"
                           id="contract-agree"
                           v-model="agree"
                           v-validate="'required'"
                           @click.stop.prevent="agree = !agree">
                    <label for="contract-agree">
                        <span></span>Вводя код подтверждения, вы принимаете условия договора об амнистии.
                    </label>
                </div>
            </template>
        </sms-form>
    </div>
</template>

<script>
    import smsForm from '@/components/SmsForm'
    export default {
        name: 'AmnestyAction',
        data () {
            return {
                create: false,
                smsCode: '',
                agree: true
            }
        },
        components: {
            smsForm
        },
        methods: {
            createDop () {
                this.create = true;
            },

            sign () {
                console.log('sign', this.smsCode);
            }
        }
    }
</script>

<style scoped>

</style>